%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_st_dev_scenarios_2p9
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_st_dev_scenarios_2p9.zip'
%Run program 'problem_st_dev_scenarios_2p9.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_st_dev_scenarios_2p9_data.mat')
%Define options for PSG solver:
stroptions.Precision = 9;
%Define input arguments:
string = {'st_dev'};
w = {[]};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(string, [], H, [], [], [], A, b, Aeq, beq, lb, [], [], stroptions);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('st_dev= %g', output.frval));
%Display left hand sides of linear inequality:
disp(sprintf('linear inequality = %g', output.fAval));
%Display residual of linear inequality:
disp(sprintf('residual of linear inequality = %g', output.rAval));
%Display left hand sides of linear equality:
disp(sprintf('linear equality = %g', output.fAeqval));
%Display residual of linear equality:
disp(sprintf('residual of linear equality = %g', output.rAeqval));
%Display optimal point:
disp('optimal point = ');
disp(xout');
